{
  "branches": ["+([0-9])?(.{+([0-9]),x}).x", "main", "release", "master", "next", "next-major", {"name": "development", "prerelease": true}],
  "tagFormat": "v${version}",
  "plugins": [
    ["@semantic-release/commit-analyzer", {
      "preset": "angular",
      "releaseRules": [
        {"type": "refactor", "release": "patch"},
        {"type": "style", "release": "patch"}
      ],
      "parserOpts": {
        "noteKeywords": ["BREAKING CHANGE", "BREAKING CHANGES", "BREAKING"]
      }
    }],
    ["@semantic-release/release-notes-generator", {
      "preset": "angular",
      "parserOpts": {
        "noteKeywords": ["BREAKING CHANGE", "BREAKING CHANGES", "BREAKING"]
      },
      "writerOpts": {
        "commitsSort": ["subject", "scope"]
      }
    }],
    ["@semantic-release/exec", {
      "verifyReleaseCmd": "echo ${nextRelease.version} > .next-version"
    }],
    ["semantic-release-replace-plugin", {
      "replacements": [{
        "files": ["README.md"],
        "from": "Version : .*",
        "to": "Version : ${nextRelease.version}",
        "results": [
          {
            "file": "README.md",
            "hasChanged": true,
            "numMatches": 1,
            "numReplacements": 1
          }
        ],
        "countMatches": true
      },
      {
        "files": ["release_info"],
        "from": "RELEASE_VERSION=.*",
        "to": "RELEASE_VERSION=${nextRelease.version}"
      }]
    }],
    ["@semantic-release/changelog", {
      "changelogFile": "CHANGELOG.md",
      "changelogTitle": "# Semantic Versioning Changelog"
    }],
    ["@semantic-release/gitlab", {
      "gitlabUrl": "https://gitlab.com",
      "assets": [
          { "path": "README.md", "label": "ReadME", "type": "runbook"},
          { "path": "CHANGELOG.md", "label": "Changelog", "type": "other"},
          { "path": "COPYING.md", "label": "Copying", "type": "other" }
        ]
    }],
    ["@semantic-release/git", {
      "assets": ["README.md", "CHANGELOG.md", "release_info"],
      "message": "chore(release):  semantic-release modified repo for ${nextRelease.version} [skip ci]"
    }]
  ],
  "preset": "angular"
}